package gui;

import java.io.*;

import java.awt.*;

import java.util.*;

import futils.*;







public class DrawVector extends ClosableFrame {



int[] array ;

Vector buf = new Vector();

int Records = 0;

GraphP p;



public static void main(String[] args) {

        new DrawVector();

}



public DrawVector() { 

        super("Draw Graph");

        add("North", new Button("Get Data File"));

	p = new GraphP(this);

	add("Center", p);

        resize(400, 600);

	show();

}



public boolean handleEvent(Event evt) {





        if("Get Data File".equals(evt.arg)) {

             try {

                      StreamTokenizer tokens = new 
                      	StreamTokenizer(new 
                      		FileInputStream(Futil.getReadFileName()));

                      tokens.nextToken();

                      buf.removeAllElements();
                      do {

                           buf.addElement(String.valueOf(tokens.nval));

                         }while(tokens.nextToken() != tokens.TT_EOF);

                        Records = buf.size();

                        array = new int[Records];

                        if(Records != 0) {

                           for ( int i=0; i<Records; i++) {

                             array[i] = Integer.valueOf((String)buf.elementAt(i)).intValue();

                           }

                        }

                }catch(IOException e) {

			System.err.println( "Error during read from files\n" + e.toString() );

                        System.exit(1);

		}

		p.repaint();

		return true;

	}



	return false;

}



}



class GraphP extends Panel {



        DrawVector target;

        GraphP(DrawVector target) {

		this.target = target;

                setBackground(Color.white);

	}





	public void paint( Graphics g ) {

		g.setColor(getBackground());

		g.fillRect(0, 0, size().width, size().height);

                g.setColor(Color.black);

                g.translate(10, 10);

		for ( int k=0; k < target.Records; k += 4 )

                        g.drawLine ( target.array[k],

                                     target.array[k+1], target.array[k+2], target.array[k+3] );



	}

}





