package lyon.dclap;
import java.awt.*;
import java.io.*;
import futils.*;
import gui.ClosableFrame;
import gui.Evt;

public class PictFrame extends ClosableFrame {
	private	static final String args[] = {""};

	private MenuBar mb = getMenuBar();
	private Menu m = new Menu("Save Menu");

	private MenuItem imageProcessing_mi =
		new MenuItem("[i]mage processing");
	private MenuItem save_mi = 
		new MenuItem("[S]save as pict");
		
	public PictFrame() {
		super("PictFrame");
		if (mb == null) {
			mb = new MenuBar();
			setMenuBar(mb);
		}
		m.add(imageProcessing_mi);
		m.add(save_mi);	
		mb.add(m);

	}
	
	public PictFrame(String name) {
		super(name);
		if (mb == null) {
			mb = new MenuBar();
			setMenuBar(mb);
		}
		m.add(imageProcessing_mi);
		m.add(save_mi);	
		mb.add(m);
		
	}
	public void actionPerformed(Event e) {


 		if (Evt.match(e, imageProcessing_mi)) {
 			VS.VSImage.main(args);
 			return ;
 			}
 		else if (Evt.match(e,save_mi)) {
    			Component c =  this;
    			OutputStream os = Futil.getWriteFileOutputStream();
    			SavePICT p = new SavePICT();
    			p.saveAsPict( c,os);
    			return ;
    		}	
 		else return ;
 	}
}